🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: comp.mail.headers
Article #261

Re: discrepancies between RFC821 and RFC822 (as amended by RFC1123) regarding Received headers

#261
From: Neil Rickert
Date: Mon, 11 Jan 1993 17:50
35 lines
2292 bytes
In article <1993Jan10.162048.22777@blilly.uucp> bruce@blilly.uucp (Bruce Lilly) writes:
>I have found a few discrepancies between RFC821 and RFC822 regarding the
>contents of the Received header.
>
>1)	RFC821 section 4.1.1 requires the "from" and "by" clauses, while
>	RFC822 4.1 lists them as optional.

I don't believe this is a discrepancy.  RFC821 is only discussing the
new "Received:" header it adds, and is not referring to any pre-existing
header.

>2)	RFC821 prohibits unquoted special characters (including '<', '>',
>	and '@') in the optional "id" clause, while RFC822 requires that the
>	format of the msg-id used in that clause, if present, is
>		"<" local-part "@" domain ">".

The "id" clause is not the same as the msg-id.  That is, the msg-id, or
more fully, the "Message-ID:" header is a unique identifier of the
message.  The "id" clause in the "Received:" header could be just a
transaction ID with purely local meaning.  It might, for example, be an
identifier which can be used to locate log records retained on this
host.

>                                                              If the "by"
>clause is always provided, mail loops can be more quickly and more reliably
>detected by processing the information in the headers, but it is not
>acceptable for the machine to place any interpretation on comments.

If you really want to process the contents of "Received:" headers for
finding mail loops, what you need is the requirement that such headers
not be modified.  Then if there is a previous header from your own host,
there is a loop.  The exact syntax of headers generated by hosts other
than yours would seem to be of no importance.  I presume that your
sofware can be designed to recognize the "Received:" headers it has
generated.
Technical Details
Message-ID: <1993Jan11.175033.25548@mp.cs.niu.edu>
Path: arc1-ca.pugleaf.net!sparky!uunet!haven.umd.edu!darwin.sura.net!zaphod.mps.ohio-state.edu!uwm.edu!linac!mp.cs.niu.edu!rickert
References: <1993Jan10.162048.22777@blilly.uucp>

Show Full Headers
Complete Article Headers
Newsgroups: comp.mail.headers
Path: arc1-ca.pugleaf.net!sparky!uunet!haven.umd.edu!darwin.sura.net!zaphod.mps.ohio-state.edu!uwm.edu!linac!mp.cs.niu.edu!rickert
From: rickert@mp.cs.niu.edu (Neil Rickert)
Subject: Re: discrepancies between RFC821 and RFC822 (as amended by RFC1123) regarding Received headers
Message-ID: <1993Jan11.175033.25548@mp.cs.niu.edu>
Organization: Northern Illinois University
References: <1993Jan10.162048.22777@blilly.uucp>
Date: Mon, 11 Jan 1993 17:50:33 GMT
Lines: 36